import express from 'express';
import logger from 'morgan'
import {expressjwt} from "express-jwt";
import {getUser} from "./middleware";

const app = express();

app.use(logger('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));


// JWT
// app.use(
//     expressjwt({
//         secret: Buffer.from(process.env.JWT_SECRET, "base64"),
//         algorithms: ["HS256"],
//         issuer: process.env.JWT_ISSUER,
//     })
// );

app.use(getUser)

app.use((err: express.ErrorRequestHandler, req: express.Request, res: express.Response, next: express.NextFunction) => {
    if (err.name === "UnauthorizedError") {
        res.status(401).send({
            "message": "Invalid token"
        });
    } else {
        next(err);
    }
});


export default app;

